FROM busybox

ARG AUXILIARY_IMAGE_PATH=/auxiliary
ARG USER=oracle
ARG USERID=1000
ARG GROUP=root
ENV AUXILIARY_IMAGE_PATH=${AUXILIARY_IMAGE_PATH}
RUN adduser -D -u ${USERID} -G $GROUP $USER
ADD ./weblogic-deploy.tar.gz ${AUXILIARY_IMAGE_PATH}/
RUN chown -R $USER:$GROUP ${AUXILIARY_IMAGE_PATH}/
USER $USER
